<?php

namespace LitePress\LP_Translate\Api;

use WP_REST_Response;

/**
 * API 的基类
 */
class Base {

    const namespace = 'lp-tr';

    /**
     * 成功时的 API 返回
     */
    protected function success( $message = '', $data = array() ): WP_REST_Response {
        return new WP_REST_Response( array(
            'code'    => 0,
            'message' => $message,
            'data'    => $data,
        ) );
    }

    /**
     * 失败时的 API 返回
     */
    protected function error( $message = '' ): WP_REST_Response {
        return new WP_REST_Response( array(
            'code'    => - 1,
            'message' => $message,
        ), 500 );
    }

}
