<?php

namespace LitePress\LP_Translate;

/**
 * 翻译项目类
 */
class Project {

    /**
     * 项目名
     * @var string
     */
    private $name;

    /**
     * 文本域
     * @var string
     */
    private $textdomain;

    /**
     * 项目在 litepress.cn 上的 path
     * @var string
     */
    private $path;

    /**
     * 项目的权限
     *
     * 该变量有三个可能的值：为空时指不拥有任何权限，为 manage 指拥有完全的管理权限，为 approve 指拥有审批权。
     *
     * @var string
     */
    private $permission;

    /**
     * 项目的版本号
     * @var string
     */
    private $version;

    /**
     * @return string
     */
    public function get_version(): string {
        return $this->version ?: '';
    }

    /**
     * @param string $version
     */
    public function set_version( string $version ) {
        $this->version = $version;
    }

    /**
     * @return string
     */
    public function get_permission(): string {
        return $this->permission ?: '';
    }

    /**
     * @param string $permission
     */
    public function set_permission( string $permission ) {
        $this->permission = $permission;
    }

    /**
     * @return string
     */
    public function get_name(): string {
        return $this->name ?: '';
    }

    /**
     * @param string $name
     */
    public function set_name( string $name ) {
        $this->name = $name;
    }

    /**
     * @return string
     */
    public function get_path(): string {
        return $this->path ?: '';
    }

    /**
     * @param string $path
     */
    public function set_path( string $path ) {
        $this->path = $path;
    }

    /**
     * @return string
     */
    public function get_textdomain(): string {
        return $this->textdomain ?: '';
    }

    /**
     * @param string $textdomain
     */
    public function set_textdomain( string $textdomain ) {
        $this->textdomain = $textdomain;
    }

}
